Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
[Java] Class BatchingStatementWrapper

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.sql.BatchingStatementWrapper

    public class BatchingStatementWrapper
    extends GroovyObjectSupport

Class which delegates to a Statement but keeps track of a batch count size. If the batch count reaches the predefined number, this Statement does an executeBatch() automatically. If batchSize is zero, then no batching is performed.

Field Summary
`protected int` | `batchCount`
`protected int` | `batchSize`
`protected Logger` | `log`
`protected java.util.List` | `results`

Constructor Summary
`BatchingStatementWrapper(Statement delegate, int batchSize, Logger log)`

Method Summary
`void` | `addBatch(java.lang.String sql)`
`void` | `clearBatch()`
`void` | `close()`
`int[]` | `executeBatch()`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`protected void` | `processResult(int[] lastResult)`
`protected void` | `reset()`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### batchCount

    protected int batchCount

### batchSize

    protected int batchSize

### log

    protected Logger log

### results

    protected java.util.List results

Constructor Detail

### BatchingStatementWrapper

    public BatchingStatementWrapper(Statement delegate, int batchSize, Logger log)

Method Detail

### addBatch

    public void addBatch(java.lang.String sql)

### clearBatch

    public void clearBatch()

### close

    public void close()

### executeBatch

    public int[] executeBatch()

### invokeMethod

    @Override
    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### processResult

    protected void processResult(int[] lastResult)

### reset

    protected void reset()

Groovy Documentation